//
//  BabySquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 4/25/09.
//

#import "BabySquare.h"
#import "Player.h"
#import "Child.h"

@implementation BabySquare

- (id)initWithPosition:(NSPoint)aPoint andSex:(int)aBaby {
	if( self = [super initWithPosition:aPoint andMessage:@"Baby "] ) {
		baby = aBaby;
	}
	return self;
}

- (NSString*)message {
	NSString *theMessage;
	
	if( baby == GIRL )
		theMessage = [[super message] stringByAppendingString:@"Girl!"];
	else if( baby == BOY )
		theMessage = [[super message] stringByAppendingString:@"Boy!"];
	else
		theMessage = [[super message] stringByAppendingString:@"Twins!"];
	
	return theMessage;
	
}
- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if ( baby == GIRL ) {
		Child *child = [[Child alloc] initWithSex:@"Girl"];
		[aPlayer addChild:child];
	} else if( baby == BOY ) {
		Child *child = [[Child alloc] initWithSex:@"Boy"];
		[aPlayer addChild:child];
	} else if( baby == TWINS ) {
		Child *child1 = [[Child alloc] initWithSex:@"Boy"];
		Child *child2 = [[Child alloc] initWithSex:@"Girl"];
		[aPlayer addChild:child1];
		[aPlayer addChild:child2];
	}
}

@end
