//
//  Car.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import <Cocoa/Cocoa.h>

@class Square;

@interface Car : NSObject {
	NSInteger pegs;
	NSMutableArray *people;
	Square *square;
	NSString *color;
	NSImage *carImage;
}

@property (readwrite, assign) NSInteger pegs;
@property (readwrite, retain) Square *square;
@property (readonly) NSImage *carImage;

- (NSString*)color;
- (void)setColor:(NSString*)aColor;

@end
