//
//  CareerCard.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/18/09.
//

#import "CareerCard.h"
#import "Career.h"
#import "Player.h"

@implementation CareerCard

@synthesize name;
@synthesize degreeRequired;

- (id)initWithCareer:(NSString*)aName isDegreeRequired:(BOOL)req {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		name = aName;
		degreeRequired = req;
	}
	return self;
}

- (void)doCardActionToPlayer:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	Career *career = [[Career alloc] initWithName:name];
	[aPlayer setCareer:career];
}

@end
