//
//  CommunityAcresSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 5/10/09.
//

#import "CountrysideAcresSquare.h"
#import "Player.h"
#import "Card.h"

@implementation CountrysideAcresSquare

- (id)initWithPosition:(NSPoint)aPoint {
	if( self = [super initWithPosition:aPoint andMessage:@"Countryside Acres"] )
	{
		
	}
	return self;
}

- (void)performSquareAction:(Player*)aPlayer {
	NSArray *tiles = [aPlayer collectedLifeTiles];
	for( Card *t in tiles ) {
		[aPlayer giveCard:t];
	}
}

@end
