//
//  FinanceSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import "FinanceSquare.h"
#import "Player.h"

@implementation FinanceSquare

@synthesize amount;

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage andAmount:(NSInteger)anAmount {
	if( self = [super initWithPosition:aPoint andMessage:aMessage] ) {
		amount = anAmount;
	}
	return self;
}

- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	NSInteger money = [aPlayer money];
	money += amount;
	[aPlayer setMoney:money];
}

@end
