//
//  LifeSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 4/25/09.
//

#import "LifeSquare.h"
#import "Game.h"
#import "Player.h"

@implementation LifeSquare

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage {
	if( self = [super initWithPosition:aPoint andMessage:aMessage] ) {
		theGame = [Game getInstance];
	}
	return self;
}
- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	[aPlayer giveLifeTile:[theGame lifeTile]];
}

@end
