//
//  NightSchoolSquare.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/31/09.
//
//

#import <Cocoa/Cocoa.h>
#import "BlueSquare.h"

@class Player;

@interface NightSchoolSquare : BlueSquare {
	NSInteger amount;
}

@property (readwrite, assign) NSInteger amount;

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage andAmount:(NSInteger)anAmount;
- (void)performSquareAction:(Player*)aPlayer;

@end
