//
//  PlayerTableDataSource.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/14/09.
//

#import <Cocoa/Cocoa.h>
@class Player;
@class Game;

@interface PlayerTableDataSource : NSObject {
	IBOutlet NSTableView *playerTable;
	Game *theGame;
	NSInteger curPlayer;
}

- (void)reloadData;
- (void)reloadData:(NSNotification*)aNotification;
- (void)selectFirstPlayer:(NSNotification*)aNotification;
- (void)selectNextPlayer:(NSNotification*)aNotification;
- (Player*)currentPlayer;

@end
