//
//  SpinThread.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 2/21/09.
//

#import "SpinThread.h"
#import "SpinController.h"

@implementation SpinThread

- (id) init {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		runTime = 3;
	}
	return self;
}

- (id) initWithRunTime:(NSInteger) aRunTime {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		runTime = aRunTime;
	}
	return self;
}

- (void) setParent:(SpinController*)theParent {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	parent = theParent;
}

- (void) main {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	srand( time(NULL) );
	int myTime = time(NULL);
	while( time(NULL) <= (myTime + runTime) ) {
		NSInteger number = rand() % 10;
		[parent setCurrentNumber:(number+1)];
		[NSThread sleepForTimeInterval:0.05];
	}
	[parent spinThreadDidFinish];
}

@end
