//
//  StopSquare.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import <Cocoa/Cocoa.h>
#import "Square.h"

@interface StopSquare : Square {
	Square* wrappedSquare;
}

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage andSquare:(Square*)aSquare;
- (void)performSquareAction:(Player*)aPlayer;
- (BOOL)shouldStop;

@end
