//
//  StopSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import "StopSquare.h"


@implementation StopSquare

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage andSquare:(Square*)aSquare {
	if( self = [super initWithPosition:aPoint andMessage:aMessage] ) {
		wrappedSquare = aSquare;
	}
	return self;
}

- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	[wrappedSquare performSquareAction:aPlayer];
}

- (BOOL)shouldStop {
	return YES;
}

- (NSString*)message {
	return [[wrappedSquare message] stringByAppendingString:[super message]];
}

@end
