//
//  TaxSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 4/25/09.
//

#import "TaxSquare.h"
#import "Player.h"
#import "Career.h"

@implementation TaxSquare

@synthesize amount;

- (id)initWithPosition:(NSPoint)aPoint {
	if( self = [super initWithPosition:aPoint andMessage:@"Taxes Due"] ) {
		
	}
	return self;
}
- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	Career *career = [aPlayer career];
	NSInteger taxes = [career taxes];
	amount = taxes;
	NSInteger money = [aPlayer money];
	money -= taxes;
	[aPlayer setMoney:money];
}

@end
