//
//  TeacherSquare.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 5/4/09.
//

#import <Cocoa/Cocoa.h>
#import "Square.h"

@interface TeacherSquare : Square {
	Square *wrappedSquare;
}

- (id)initWithPosition:(NSPoint)aPoint andSquare:(Square*)aSquare;
- (void)performSquareAction:(Player*)aPlayer;
- (NSString*)message;

@end
