//
//  Turn.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 5/6/09.
//

#import "Turn.h"
#import "TurnThread.h"
#import "Game.h"
#import "Player.h"

@implementation Turn

- (id)init {
	debug(@"%s:%d", __FUNCTION__, __LINE__);	
	if( self = [super init] ) {
		
	}
	return self;
}

- (BOOL)hasNextTurn {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	Game *theGame = [Game getInstance];
	NSArray *players = [theGame players];
	int retirementCount = 0;
	for( Player *p in players ) {
		if( [p isRetired] )
			++retirementCount;
	}

	if ( retirementCount == [players count] )
		return NO;
	else
		return YES;
}

- (Turn*)getNextTurn {
	debug(@"%s:%d", __FUNCTION__, __LINE__);	
	return [[Turn alloc] init];
}

- (void)doTurn {
	debug(@"%s:%d", __FUNCTION__, __LINE__);	
	TurnThread *thread = [[TurnThread alloc] init];
	[thread start];
}

@end
