//
//  AppController.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 2/22/09.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@interface AppController : NSObject {
	IBOutlet QCView *spinner;
	IBOutlet NSButton *spinButton;
	IBOutlet NSTableView *playerTable;
	
	BOOL buttonState;
}

@property (readwrite, assign) BOOL buttonState;

- (void)setSpinButtonDisabled:(NSNotification*)aNotification;
- (void)setSpinButtonEnabled:(NSNotification*)aNotification;

@end
