//
//  Career.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/9/09.
//

#import <Cocoa/Cocoa.h>


@interface Career : NSObject {
	NSString *careerName;
	NSInteger salary;
	NSInteger taxes;
}

@property (readwrite, retain) NSString *careerName;
@property (readwrite, assign) NSInteger salary;
@property (readwrite, assign) NSInteger taxes;

- (id)initWithName:(NSString*)aCareerName;
- (id)initWithName:(NSString*)aCareerName andSalary:(NSInteger)aSalary;
- (id)initWithName:(NSString*)aCareerName andSalary:(NSInteger)aSalary andTaxes:(NSInteger)tax;

@end
