//
//  Deck.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import <Cocoa/Cocoa.h>

@class Card;

@interface Deck : NSObject {
	NSMutableArray *cards;
	BOOL	replace;
}

+ (Deck*)getCareerDeck;
+ (Deck*)getStockDeck;
+ (Deck*)getSalaryDeck;
+ (Deck*)getHouseDeck;
+ (Deck*)getTilePile;

- (id)initDeckWithReplacement:(BOOL)shouldReplace;
- (void)addCard:(Card*)aCard;
- (Card*)getCard;
- (NSInteger)getRemaining;
- (void)replaceCard:(Card*)aCard;

@end
