//
//  FinanceSquare.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import <Cocoa/Cocoa.h>
#import "Square.h"

@interface FinanceSquare : Square {
	NSInteger amount;
}

@property (readwrite, assign) NSInteger amount;

- (id)initWithPosition:(NSPoint)aPoint andMessage:(NSString*)aMessage andAmount:(NSInteger)anAmount;

- (void)performSquareAction:(Player*)aPlayer;

@end
