//
//  HouseCard.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import <Cocoa/Cocoa.h>
#import "Card.h"

@interface HouseCard : NSObject <Card> {
	NSString *name;
	NSString *description;
	NSString *realtor;
	NSInteger cost;
	NSInteger insuranceCost;
}

@property (readonly) NSString *name, *description, *realtor;
@property (readonly) NSInteger cost, insuranceCost;

- (id)initWithName:(NSString*)aName
	andDescription:(NSString*)aDescription
		andRealtor:(NSString*)aRealtor
		   andCost:(NSInteger)aCost
  andInsuranceCost:(NSInteger)anInsCost;

@end
