//
//  LifeTile.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import "LifeTile.h"
#import "Player.h"

@implementation LifeTile

@synthesize message;
@synthesize amount;

- (id) initWithMessage:(NSString*)aMessage andAmount:(NSInteger)anAmount {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		message = aMessage;
		amount = anAmount;
	}
	return self;
}

- (void)doCardActionToPlayer:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	NSInteger money = [aPlayer money];
	money += amount;
	[aPlayer setMoney:money];
}

@end
