//
//  RetirementSquare.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 4/25/09.
//

#import "RetirementSquare.h"
#import "Player.h"

@implementation RetirementSquare

- (id)initWithPosition:(NSPoint)aPoint {
	if( self = [super initWithPosition:aPoint andMessage:@"Retirement!"] )
	{
		
	}
	return self;
}

- (void)performSquareAction:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	[aPlayer setRetired:YES];
	Square *ret = [self showSquareChoice];
	[aPlayer setPosition:ret];
	[[NSNotificationCenter defaultCenter] postNotificationName:@"RefreshDisplay"
														object:self];
}

@end
