//
//  SalaryCard.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import "SalaryCard.h"
#import "Player.h"
#import "Career.h"

@implementation SalaryCard

@synthesize salary, taxes;

- (id)initWithSalary:(NSInteger)aSalary andTaxes:(NSInteger)tax {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		salary = aSalary;
		taxes = tax;
	}
	
	return self;
}

- (void)doCardActionToPlayer:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	Career *career = [aPlayer career];
	[career setSalary:salary];
	[career setTaxes:taxes];
	[aPlayer setCareer:career];
}

@end
