//
//  SpinController.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 2/21/09.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>

@class SpinThread;

@interface SpinController : NSObject {
	IBOutlet NSTextField *spunNumber;
	IBOutlet QCView *spinner;
	SpinThread *thread;
	NSInteger curNumber;
}

- (void) awakeFromNib;

- (void) setCurrentNumber:(NSInteger)number;

- (NSInteger) getCurrentNumber;

- (IBAction) doSpin:(id)sender;

- (void) spinThreadDidFinish;

@end
