//
//  SquareChoiceController.h
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 4/22/09.
//

#import <Cocoa/Cocoa.h>

@class Square;

@interface SquareChoiceController : NSObject {
	IBOutlet NSWindow *choiceWindow;
	IBOutlet NSWindow *mainWindow;
	
	IBOutlet NSTextField *leftChoice;
	IBOutlet NSTextField *rightChoice;
	IBOutlet NSMatrix *radioMatrix;
	
	BOOL okPressed;
}

+ (SquareChoiceController*)getInstance;

- (IBAction)okButtonPressed:(id)sender;

- (void)setLeftSquareText:(NSString*)squareText;
- (void)setRightSquareText:(NSString*)squareText;
- (NSInteger)showSquareChoiceSheet;

@end
