//
//  StockCard.m
//  GameOfLife
//
//  Created by Grant Limberg, Kevin Toste on 3/23/09.
//

#import "StockCard.h"
#import "Player.h"

@implementation StockCard

@synthesize number;
@synthesize cost;

- (id)initWithNumber:(NSInteger)aNumber andCost:(NSInteger)aCost {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( self = [super init] ) {
		number = aNumber;
		cost = aCost;
	}
	
	return self;
}

- (void)doCardActionToPlayer:(Player*)aPlayer {
	debug(@"%s:%d", __FUNCTION__, __LINE__);
	if( [aPlayer stockNumber] == -1 ) {
		NSInteger money = [aPlayer money];
		money -= 50000;
		[aPlayer setMoney:money];
		[aPlayer setStockNumber:number];
	}
}

@end
